/* Nintendulator - Win32 NES emulator written in C
 * Copyright (C) 2002-2008 QMT Productions
 *
 * $URL: https://nintendulator.svn.sourceforge.net/svnroot/nintendulator/nintendulator/trunk/src/Genie.h $
 * $Id: Genie.h 529 2008-07-28 03:17:05Z Quietust $
 */

#ifndef GENIE_H
#define GENIE_H

struct tGenie
{
	int Code1B, Code2B, Code3B;
	int Code1A, Code2A, Code3A;
	int Code1O, Code2O, Code3O;
	int Code1V, Code2V, Code3V;
	unsigned char CodeStat;
};
extern	struct tGenie Genie;

int	MAPINT	GenieRead (int,int);
int	MAPINT	GenieRead1 (int,int);
int	MAPINT	GenieRead2 (int,int);
int	MAPINT	GenieRead3 (int,int);

void	Genie_Reset (void);
void	Genie_Init (void);
int	Genie_Save (FILE *);
int	Genie_Load (FILE *);

#endif	/* !GENIE_H */
